com.sun.jna.platform.win32

## Class Sspi.SecPkgContext_KeyInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.SecPkgContext_KeyInfo

- Enclosing interface:
    Sspi

      @Structure.FieldOrder(value={"sSignatureAlgorithmName","sEncryptAlgorithmName","KeySize","SignatureAlgorithm","EncryptAlgorithm"})
      public static class Sspi.SecPkgContext_KeyInfo
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `EncryptAlgorithm` Specifies the algorithm identifier (ALG_ID) used for encrypting messages.
    `int` | `KeySize` Specifies the effective key length, in bits, for the session key.
    `Pointer` | `sEncryptAlgorithmName` Name, if available, of the algorithm used for encrypting messages.
    `int` | `SignatureAlgorithm` Specifies the algorithm identifier (ALG_ID) used for generating signatures, if available.
    `Pointer` | `sSignatureAlgorithmName` Name, if available, of the algorithm used for generating signatures, for example "MD5" or "SHA-2".

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecPkgContext_KeyInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free()`
    `java.lang.String` | `getEncryptAlgorithmName()`
    `java.lang.String` | `getSignatureAlgorithmName()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sSignatureAlgorithmName

          public Pointer sSignatureAlgorithmName

      Name, if available, of the algorithm used for generating signatures, for example "MD5" or "SHA-2".

    - #### sEncryptAlgorithmName

          public Pointer sEncryptAlgorithmName

      Name, if available, of the algorithm used for encrypting messages. Reserved for future use.

    - #### KeySize

          public int KeySize

      Specifies the effective key length, in bits, for the session key. This is typically 40, 56, or 128 bits.

    - #### SignatureAlgorithm

          public int SignatureAlgorithm

      Specifies the algorithm identifier (ALG_ID) used for generating signatures, if available.

    - #### EncryptAlgorithm

          public int EncryptAlgorithm

      Specifies the algorithm identifier (ALG_ID) used for encrypting messages. Reserved for future use.

  - ### Constructor Detail

    - #### SecPkgContext_KeyInfo

          public SecPkgContext_KeyInfo()

  - ### Method Detail

    - #### getSignatureAlgorithmName

          public java.lang.String getSignatureAlgorithmName()

    - #### getEncryptAlgorithmName

          public java.lang.String getEncryptAlgorithmName()

    - #### free

          public void free()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.